<?php
declare(strict_types=1);

namespace Inti\App;

use Laminas\ConfigAggregator\ConfigAggregator;
use Laminas\ConfigAggregator\PhpFileProvider;
use function realpath;

/**
 * Class ConfigProvider
 *
 * @package Inti\App
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-app
 */
final class ConfigProvider
{
    public function __invoke(): array
    {
        return (new ConfigAggregator([
            \Mezzio\ConfigProvider::class,
            \Mezzio\Helper\ConfigProvider::class,
            \Mezzio\Router\ConfigProvider::class,
            \Mezzio\Router\FastRouteRouter\ConfigProvider::class,
            new PhpFileProvider(realpath(__DIR__ . '/../config') . '/*.config.php'),
        ]))->getMergedConfig();
    }
}
